Package com.pixelmed.dicom

# Class ContentItemFactory.TemporalCoordinatesContentItem

java.lang.Object
com.pixelmed.dicom.ContentItem
com.pixelmed.dicom.ContentItemWithValue
com.pixelmed.dicom.ContentItemFactory.TemporalCoordinatesContentItem

All Implemented Interfaces:
  `TreeNode`

Enclosing class:
  ContentItemFactory

public class ContentItemFactory.TemporalCoordinatesContentItem extends ContentItemWithValue

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String[]`
`referencedDateTimes`
`protected int[]`
`referencedSamplePositions`
`protected float[]`
`referencedTimeOffsets`
`protected String`
`temporalRangeType`

### Fields inherited from class com.pixelmed.dicom.ContentItemWithValue

`conceptName, referencedContentItemIdentifier, valueType`

### Fields inherited from class com.pixelmed.dicom.ContentItem

`observationDateTime, observationUID, relationshipType`

## Constructor Summary

Constructors
Constructor
Description
`TemporalCoordinatesContentItem(ContentItem parent, AttributeList list)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getConceptValue()`
Get a string representation of the value of the concept.
`String[]`
`getReferencedDateTimes()`
`int[]`
`getReferencedSamplePositions()`
`float[]`
`getReferencedTimeOffsets()`
`String`
`getTemporalRangeType()`
`String`
`toString()`
Get a human-readable string representation of the content item.

### Methods inherited from class com.pixelmed.dicom.ContentItemWithValue

`contentItemNameMatchesCodeValueAndCodingSchemeDesignator, getConceptName, getConceptNameAndValue, getConceptNameCodeMeaning, getConceptNameCodeValue, getConceptNameCodingSchemeDesignator, getValueType`

### Methods inherited from class com.pixelmed.dicom.ContentItem

`addChild, addSibling, children, contentItemNameMatchesCodeValueAndCodingSchemeDesignator, getAllowsChildren, getAttributeList, getChildAt, getChildCount, getGraphicData, getGraphicType, getIndex, getNamedChild, getNamedChild, getObservationDateTime, getObservationUID, getParent, getParentAsContentItem, getPositionInTreeToUseAsReferencedContentItemIdentifier, getReferencedContentItemIdentifier, getReferencedContentItemIdentifierArray, getReferencedSOPClassUID, getReferencedSOPInstanceUID, getRelationshipType, getSingleStringValueOrNull, getSingleStringValueOrNullOfNamedChild, getSingleStringValueOrNullOfNamedChild, isLeaf`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### temporalRangeType

protected String temporalRangeType

### referencedSamplePositions

protected int[] referencedSamplePositions

### referencedTimeOffsets

protected float[] referencedTimeOffsets

### referencedDateTimes

protected String[] referencedDateTimes

## Constructor Details

### TemporalCoordinatesContentItem

public TemporalCoordinatesContentItem(ContentItem parent, AttributeList list)

Parameters:
  `parent` - parent content item to add to
  `list` - the list of attributes for this content item

## Method Details

### getConceptValue

public String getConceptValue()
Description copied from class: `ContentItemWithValue`

Get a string representation of the value of the concept.

The exact form of the returned string is specific to the type of ContentItem.

Specified by:
  `getConceptValue` in class `ContentItemWithValue`
Returns:
  a String representation of the name and value, or an empty string

### toString

public String toString()
Description copied from class: `ContentItemWithValue`

Get a human-readable string representation of the content item.

Overrides:
  `toString` in class `ContentItemWithValue`
Returns:
  the string representation of the content item

### getTemporalRangeType

public String getTemporalRangeType()

Returns:
  the temporal range type

### getReferencedSamplePositions

public int[] getReferencedSamplePositions()

Returns:
  the referenced sample positions, or null if none

### getReferencedTimeOffsets

public float[] getReferencedTimeOffsets()

Returns:
  the referenced time offsets, or null if none

### getReferencedDateTimes

public String[] getReferencedDateTimes()

Returns:
  the referenced datetimes, or null if none